* diagnostics-sim.inc


PARAMETER
  errqdeforb2sim(sim,lndfortot,t)    if =UNDF shock to defor with zero initial defor

;

errqdeforb2sim(sim,lndfortot,t)$(qdeforb2sim(sim,lndfortot,t) AND QDEFOR00(lndfortot)=0) = 1/0;
DISPLAY errqdeforb2sim;




$EXIT

NOTE: currently not used!!!

*START: Diagnostic test on mpcapgovsim and mtfpsim==========

SET
 errmpcapgovmtfpsim(sim,f) one of mpcapgovsim and mtfpsim is nonzero for f (either both or none should be nonzero)
*Note: either both of or none of mpcapgovsim(f) and SUM(a, mtfpsim(a,f)) are non-zero
 ;

LOOP((sim,f)$((mpcapgovsim(sim,f)       AND (NOT SUM(a, mtfpsim(sim,a,f)))) OR 
        (NOT (mpcapgovsim(sim,f)) AND SUM(a, mtfpsim(sim,a,f))))        ,
 errmpcapgovmtfpsim(sim,f)
   $((mpcapgovsim(sim,f) AND (NOT SUM(a, mtfpsim(sim,a,f)))) OR 
     (NOT (mpcapgovsim(sim,f)) AND SUM(a, mtfpsim(sim,a,f)))) = YES;
DISPLAY mpcapgovsim, mtfpsim, errmpcapgovmtfpsim;
ABORT$errmpcapgovmtfpsim(sim,f)
"Only one of mpcapgovsim(sim,f) and SUM(a, mtfpsim(sim,a,f)) is nonzero for f.    "
"Solution: review above displays of errmpcapgovmtfpsim, mtfpsim, and      "
"mpcapgovsim, and make sure that both parameters are zero  or non-zero "
"for any given fcap (for mtfpsim this applies to the sum over all a).  "
                                          );

*END: Diagnostic test on mpcapgovsim and mtfpsim============


